## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-jupyterlab-widgets
Version:        3.0.15
Release:        %autorelease
Summary:        Jupyter interactive widgets for JupyterLab
# Based on the output of:
# cat third-party-licenses.json | sed -n '/licenseId/s/"licenseId": "\(.*\)",/\1/p' | sort | uniq
# in labextension/static.
License:        BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT
URL:            https://github.com/jupyter-widgets/ipywidgets
Source:         %{pypi_source jupyterlab_widgets}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python-jupyter-filesystem

%global _description %{expand:
A JupyterLab 3.0 extension for Jupyter/IPython widgets.}

%description %_description

%package -n     python3-jupyterlab-widgets
Summary:        %{summary}

Requires:       python-jupyter-filesystem

# Bundled provides
# Generated by:
# python3 -c "import json; [print(f\"Provides:        bundled(npm({p['name']})) = {p['versionInfo']}\") for p in json.load(open(\"third-party-licenses.json\"))[\"packages\"]]"
# in labextension/static.
Provides:        bundled(npm(@jupyter-widgets/base)) = 6.0.10
Provides:        bundled(npm(@jupyter-widgets/base-manager)) = 1.0.11
Provides:        bundled(npm(@jupyter-widgets/controls)) = 5.0.11
Provides:        bundled(npm(@jupyter-widgets/output)) = 6.0.10
Provides:        bundled(npm(backbone)) = 1.4.0
Provides:        bundled(npm(base64-js)) = 1.5.1
Provides:        bundled(npm(css-loader)) = 6.11.0
Provides:        bundled(npm(d3-color)) = 3.1.0
Provides:        bundled(npm(d3-format)) = 3.1.0
Provides:        bundled(npm(deepmerge)) = 4.3.1
Provides:        bundled(npm(dom-serializer)) = 2.0.0
Provides:        bundled(npm(domelementtype)) = 2.3.0
Provides:        bundled(npm(domhandler)) = 5.0.3
Provides:        bundled(npm(domutils)) = 3.1.0
Provides:        bundled(npm(entities)) = 4.5.0
Provides:        bundled(npm(escape-string-regexp)) = 4.0.0
Provides:        bundled(npm(htmlparser2)) = 8.0.2
Provides:        bundled(npm(is-plain-object)) = 5.0.0
Provides:        bundled(npm(jquery)) = 3.7.1
Provides:        bundled(npm(lodash)) = 4.17.21
Provides:        bundled(npm(nanoid)) = 3.3.7
Provides:        bundled(npm(nouislider)) = 15.4.0
Provides:        bundled(npm(parse-srcset)) = 1.0.2
Provides:        bundled(npm(picocolors)) = 1.0.1
Provides:        bundled(npm(postcss)) = 8.4.38
Provides:        bundled(npm(process)) = 0.11.10
Provides:        bundled(npm(sanitize-html)) = 2.13.0
Provides:        bundled(npm(semver)) = 7.6.2
Provides:        bundled(npm(style-loader)) = 3.3.4
Provides:        bundled(npm(underscore)) = 1.13.6


%description -n python3-jupyterlab-widgets %_description


%prep
%autosetup -p1 -n jupyterlab_widgets-%{version}

# Remove all backup files
find ./ -name "*.json.orig" -delete


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l jupyterlab_widgets


%check
%pyproject_check_import


%files -n python3-jupyterlab-widgets -f %{pyproject_files}
%doc README.md
%{_datadir}/jupyter/labextensions/@jupyter-widgets


%changelog
## START: Generated by rpmautospec
* Mon May 12 2025 Lumir Balhar <lbalhar@redhat.com> - 3.0.15-1
- Update to 3.0.15 (rhbz#2364085)

* Fri Apr 11 2025 Lumir Balhar <lbalhar@redhat.com> - 3.0.14-1
- Update to 3.0.14 (rhbz#2358846)

* Mon Mar 24 2025 Lumir Balhar <lbalhar@redhat.com> - 3.0.13-1
- Initial import (fedora#2354249).
## END: Generated by rpmautospec
